<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.boat.mapper.DsBoatBindCrewMapper">
    <resultMap type="com.ltgk.boat.domain.entity.DsBoatBindCrew" id="DsBoatBindCrewResult">
        <result property="id" column="id"/>
        <result property="boatName1" column="boat_name1"/>
        <result property="boatName2" column="boat_name2"/>
        <result property="ownerPhone" column="owner_phone"/>
        <result property="crewId" column="crew_id"/>
        <result property="bindTime" column="bind_time"/>
        <result property="crewName" column="crew_name"/>
        <result property="crewIdcard" column="crew_idcard"/>
        <result property="certificateCode" column="certificate_code"/>
        <result property="crewPhone" column="crew_phone"/>
        <result property="crewPosition" column="crew_position"/>
        <result property="crewInsured" column="crew_insured"/>
        <result property="ownerUsername" column="owner_username"/>
        <result property="insured" column="insured"/>
        <result property="delFlag" column="del_flag"/>
        <result property="createBy" column="create_by"/>
        <result property="createAt" column="create_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateAt" column="update_at"/>
    </resultMap>
</mapper>